> For the complete documentation index, see [llms.txt](https://docs.butternetwork.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-findtoken.md).

# GET /findToken

GET find the token information by the given address

### Request Parameters

| Name    | Location | Type   | Required | Description   |
| ------- | -------- | ------ | -------- | ------------- |
| address | query    | string | yes      | token address |

### Responses Structure

| Field   | Type   | Description                                                                                                      |
| ------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| errno   | number | Error code. `0` means success, other values indicate errors, see [error code list](#errors).                     |
| message | string | Response message. If the request was successful it is `success`, otherwise it gives corresponding error message. |
| data    | array  | An array of token information with the requested address on supported blockchains.                               |

### Request Example

```bash
GET /findToken?address=0x13CB04d4a5Dfb6398Fc5AB005a6c84337256eE23
```

### Response Examples

> 200 Response

```json
{
  "errno": 0,
  "message": "string",
  "data": [
    {
      "id": 22776,
      "chainId": 22776,
      "address": "0x13CB04d4a5Dfb6398Fc5AB005a6c84337256eE23",
      "blockchainNetwork": "22776",
      "coingeckoId": "",
      "decimals": 18,
      "image": "https://cdn.befiwalletdao.com/image/icon_local_map_checked_3gfyyv.png",
      "name": "Wrapped MAP",
      "rank": 0,
      "symbol": "WMAPO",
      "tokenSecurity": null,
      "usdprice": 0,
      "usedIniframe": 0
    }
  ]
}
```

**Please find all** [**ButterSwap API Reference**](https://bs-router-v3.chainservice.io/docs#/) **here.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-findtoken.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
